# GRETTA
**G**eneralized **RE**stricted **T**ensor **T**imeseries **A**nalysis.

This package is designed to perform multivariate analysis of incomplete timeseries based on the generalization of the restricted SSA method to sparse higher order (3D) data.
See an example on the analysis of spatiotemporal humidity data in the [Example-1.ipynb](Example-1.ipynb) jupyter notebook.

# Requirements
- numpy
- scipy
- pandas
- numba

# Citation
If you use `gretta` in published research, please cite:
> Frolov E, Oseledets I. 2023. Tensor-Based Sequential Learning via Hankel Matrix Representation for Next Item Recommendations. IEEE Access. 2023 Jan 5; 11:6357-71. DOI: [10.1109/ACCESS.2023.3234863](https://doi.org/10.1109/ACCESS.2023.3234863). arXiv: [2212.05720](https://arxiv.org/abs/2212.05720).

BibTex entry:
```
@ARTICLE{Frolov2023,
  author={Frolov, Evgeny and Oseledets, Ivan},
  journal={IEEE Access}, 
  title={Tensor-Based Sequential Learning via Hankel Matrix Representation for Next Item Recommendations}, 
  year={2023},
  volume={11},
  number={},
  pages={6357-6371},
  doi={10.1109/ACCESS.2023.3234863}}
```
